Change log

New API version v2 released

  • API version v1 is available here
  • The following changes are in the new version of the API
API Change
Resource API preferredLanguage, favouriteLocations and recentLocations removed from GET /user
Resource API lastUsedAt added to the response of GET /map, /locations, /chargers and /sockets
  • The last time the endpoint was used in UTC seconds
  • The time can be used to determine when an endpoint was recently used
Resource API recentlyUsed filter added on GET method for /locations, /chargers and /sockets
  • recentlyUsed filter along with lastUsedAt in the response can be used to display recent locations, chargers or sockets
  • recentlyUsed filter will limit it's response to those used within the past year
  • If set to 1, only the endpoints that were previously used will be returned
  • If set to 0 (default), all the endpoints irrespective of previously used or not will be returned
Resource API GET, POST and DELETE added for new favourites resource
  • favouriteReference is a reference to the specific favourite record and can be used to update or delete the record
  • favouriteName added by the user as a custom name for the favourite place
Resource API Documentation corrected for /locations and /chargers
  • List of chargers and sockets was never returned under the key 'chargerDetails' and 'socketDetails'. The documentation has been corrected.
  • List of chargers and sockets was always returned directly as part of /locations and /chargers response
Resource API scanCode added to GET /map and /chargers
  • This code is used to uniquely identify the charger when user scans machine-readable optical label like QR code or barcode
Resource API Firebase dynamic link (with deep link) support added
  • Dynamic link can be generated using the Dynamic link generator
  • Dynamic link is a single link for both IOS and Android apps.
    If the app is not installed, user is taken to app store else the app is opened
    e.g. https://myapptest.page.link/jfA2
  • Deep link retains the payload (e.g. scancode) through the install process
    Used to navigate the user to specific location within app (e.g. select a charger based on scancode)
    e.g. https://myapptest.page.link&scancode=12345/
Note: Since the mobile apps are not currently in any app stores, the generated dynamic link may not work as expected
Resource API displaySocketType added and socketType is now an enumerated value in GET /sockets
  • socketType can be used for categorising and filtering sockets
  • displaySocketType should be used to display socket type to the user
Resource API status filter on GET /sockets fixed
  • Sockets can be filtered by status (e.g. status=occupied-charging)
  • Use pipe (|) to filter by multiple status (e.g. status=occupied-charging|occupied-not-charging)